#language: ru

@CheckingTransferOrders

Функционал: 004. CheckingTransferOrders. Проверки заказов на перемещение

Сценарий: 004.1. CheckingTransferOrders. Установка проверок заказов на перемещение
	
	Дано Я подключаюсь под "Проверка заказов на перемещение"
	Дано я устанавливаю текущему сеансу заголовок приложения "12.004. Проверки заказов на перемещение"
	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я нажимаю на кнопку 'Проверки документов'
	Тогда открылось окно 'Проверки документов'
	И Я устанавливаю использование проверки "Минимальная сумма" для документа "Документ.к2ЗаказНаПеремещение"
	И Я устанавливаю использование проверки "Кратность отгрузки" для документа "Документ.к2ЗаказНаПеремещение"
	И Я устанавливаю использование проверки "Просроченная дебиторская задолженность" для документа "Документ.к2ЗаказНаПеремещение"
	И Я устанавливаю использование проверки "Дебиторская задолженность" для документа "Документ.к2ЗаказНаПеремещение"
	И Я устанавливаю использование проверки "График доставки" для документа "Документ.к2ЗаказНаПеремещение"
	И Я устанавливаю использование проверки "Сезонность продукции" для документа "Документ.к2ЗаказНаПеремещение"
	И Я устанавливаю использование проверки "Товар доступен для продаж" для документа "Документ.к2ЗаказНаПеремещение"
	И Я устанавливаю использование проверки "Допустимая сумма отгрузок" для документа "Документ.к2ЗаказНаПеремещение"
	И Я устанавливаю использование проверки "Допустимый объем отгрузок" для документа "Документ.к2ЗаказНаПеремещение"
	И Я устанавливаю использование проверки "Количество дней отсрочки платежа" для документа "Документ.к2ЗаказНаПеремещение"
	И Я устанавливаю использование проверки "Время приема заказа" для документа "Документ.к2ЗаказНаПеремещение"
	И Я устанавливаю использование проверки "Ассортимент товаров" для документа "Документ.к2ЗаказНаПеремещение"
	И Я устанавливаю использование проверки "Цены" для документа "Документ.к2ЗаказНаПеремещение"
	И Я закрываю окно 'Проверки документов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: 004.2. CheckingTransferOrders. Состояния документов

	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я нажимаю на кнопку 'Состояния документов'
	Тогда открылось окно 'Состояния документов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Создан'       |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Создан (Состояние документа)'
	И я устанавливаю флаг 'Использовать проверки'
	И я снимаю флаг 'Формировать план отгрузки'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Создан (Состояние документа) *' в течение 20 секунд
	Тогда открылось окно 'Состояния документов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Проверки успешны' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Проверки успешны (Состояние документа)'
	И я нажимаю кнопку выбора у поля "Цвет оформления"
	Тогда открылось окно 'Выбор цвета'
	И я нажимаю на кнопку с именем 'ВыборЦвета_A8D08D'
	Тогда открылось окно 'Проверки успешны (Состояние документа)'
	И я устанавливаю флаг 'Формировать план отгрузки'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Проверки успешны (Состояние документа) *' в течение 20 секунд
	Тогда открылось окно 'Состояния документов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Проверки не успешны' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Проверки не успешны (Состояние документа)'
	И я снимаю флаг 'Запрет отгрузки'
	И я устанавливаю флаг 'Запрет отгрузки'
	И я устанавливаю флаг 'Запрет выполнения движений'
	И я устанавливаю флаг 'Использовать проверки'
	И я снимаю флаг 'Формировать план отгрузки'
	И я нажимаю кнопку выбора у поля "Цвет оформления"
	Тогда открылось окно 'Выбор цвета'
	И я нажимаю на кнопку 'Другие цвета...'
	Тогда открылось окно 'Выбор цвета'
	И в таблице "" я перехожу к строке:
		| 'Колонка2'     |
		| 'Особый текст' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Проверки не успешны (Состояние документа) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Проверки не успешны (Состояние документа) *' в течение 20 секунд
	Тогда открылось окно 'Состояния документов'
	И Я закрываю окно 'Состояния документов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: 004.3. CheckingTransferOrders. Проверка отображения документов для которых используются проверки на форме списка проверок
	
	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я нажимаю на кнопку 'Проверки документов'
	Тогда открылось окно 'Проверки документов'
	Тогда таблица "Список" стала равной:
		| 'Наименование'                           | 'Используется для'     |
		| 'Ассортимент товаров'                    | 'Заказ на перемещение' |
		| 'Время приема заказа'                    | 'Заказ на перемещение' |
		| 'График доставки'                        | 'Заказ на перемещение' |
		| 'Дебиторская задолженность'              | 'Заказ на перемещение' |
		| 'Допустимая сумма отгрузок'              | 'Заказ на перемещение' |
		| 'Допустимый объем отгрузок'              | 'Заказ на перемещение' |
		| 'Количество дней отсрочки платежа'       | 'Заказ на перемещение' |
		| 'Кратность отгрузки'                     | 'Заказ на перемещение' |
		| 'Минимальная сумма'                      | 'Заказ на перемещение' |
		| 'Просроченная дебиторская задолженность' | 'Заказ на перемещение' |
		| 'Сезонность продукции'                   | 'Заказ на перемещение' |
		| 'Товар доступен для продаж'              | 'Заказ на перемещение' |
		| 'Цены'                                   | 'Заказ на перемещение' |
	И Я закрываю окно 'Проверки документов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: 004.4. CheckingTransferOrders. Заполнение регистра Кратность номенклатуры

	Дано я удаляю все элементы таблицы "РегистрСведений.к2КратностьНоменклатуры"
	И Я устанавливаю кратность "5,125" для номенклатуры "Сыр Адыгейский" с характеристикой "Ашан"

Сценарий: 004.5. CheckingTransferOrders. Создание сезона продукции для куринных крыльев

	Дано я удаляю объекты "Документы.к2СезонПродукции" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Сезоны продукции'
	Тогда открылось окно 'Сезоны продукции'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Сезон продукции (создание)'
	И в поле 'Дата начала' я ввожу текст '01.02.2019'
	И в поле 'Дата окончания' я ввожу текст '04.02.2020'
	И я перехожу к следующему реквизиту
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Крылья куринные (подложка)'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Сезон продукции (создание) *' в течение 20 секунд
	Тогда открылось окно 'Сезоны продукции'
	И Я закрываю окно 'Сезоны продукции'

Сценарий: 004.6. CheckingTransferOrders. Проверка графика доставки (заказ на перемещение)
	
	Дано я удаляю объекты "Документы.к2ЗаказНаПеремещение" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	* Проверка графика доставки
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Заказ на перемещение (создание)'
		И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
		И из выпадающего списка "Организация" я выбираю по строке 'Организация'
		И из выпадающего списка с именем "СкладОтправитель" я выбираю по строке 'Куриная ГП'
		И из выпадающего списка с именем "СкладПолучатель" я выбираю по строке 'Сырная ГП'
		И в поле 'Комментарий' я ввожу текст 'Проверка на график доставки'
		И я перехожу к закладке "Товары"
		И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "Ашан" в количестве "15,000"
		И в поле с именем "ДатаОтгрузки" я ввожу текст '04.02.2020'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ на перемещение * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 12 из 13"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Вторник не является днем доставки."
		И Я закрываю окно 'Заказ на перемещение * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы на перемещение'
	* Проверка графика доставки по товарной категории
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                 |
			| 'Проверка на график доставки' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ на перемещение (создание)'
		И в поле с именем 'Дата' я ввожу текст '03.02.2020  0:00:00'
		И в поле 'Комментарий' я ввожу текст 'Проверка на график доставки по товарной категории'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '03.02.2020'
		И я перехожу к следующему реквизиту
		И я перехожу к закладке "Товары"
		И я удаляю все строки таблицы "Товары"
		И Я добавляю в заказ клиента номенклатуру "Крылья куринные (подложка)" без характеристики в количестве "15,000"
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ на перемещение * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 12 из 13"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Понедельник не является днем доставки для Мясо птицы"
		И Я закрываю окно 'Заказ на перемещение * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 004.7. CheckingTransferOrders. Проверка кратность отгрузки (заказ на перемещение)
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                 |
		| 'Проверка на график доставки' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Заказ на перемещение (создание)'
	И в поле с именем 'Дата' я ввожу текст '03.02.2020  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'Проверка на кратность отгрузки'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '03.02.2020'
	И я перехожу к следующему реквизиту
	И я перехожу к закладке "Товары"
	И я удаляю все строки таблицы "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "Ашан" в количестве "11,000"
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'кг'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '11,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заказ на перемещение * от * [Проверки не успешны]'
	И я активизирую поле "Успешно 12 из 13"
	И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "В строке №1 Сыр Адыгейский Ашан заказано 11, не кратно 5,125"
	И Я закрываю окно 'Заказ на перемещение * от * [Проверки не успешны]'
	Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 004.8. CheckingTransferOrders. Проверка на сезонность (заказ на перемещение)
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                 |
		| 'Проверка на график доставки' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Заказ на перемещение (создание)'
	И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'Проверка на сезонность'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '21.02.2020'
	И я перехожу к следующему реквизиту
	И я перехожу к закладке "Товары"
	И я удаляю все строки таблицы "Товары"
	И Я добавляю в заказ клиента номенклатуру "Крылья куринные (подложка)" без характеристики в количестве "10,000"
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заказ на перемещение * от * [Проверки не успешны]'
	И я активизирую поле "Успешно 12 из 13"
	И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Сезонная номенклатура Крылья куринные (подложка) не отгружается 21 февраля 2020 г."
	И Я закрываю окно 'Заказ на перемещение * от * [Проверки не успешны]'
	Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 004.9. CheckingTransferOrders. Проверка на доступность для продажи (заказ на перемещение)
	
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	* Проверка на доступность для продажи - до
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                 |
			| 'Проверка на график доставки' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ на перемещение (создание)'
		И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
		И в поле 'Комментарий' я ввожу текст 'Проверка на доступность для продажи - до'
		И в поле с именем "ДатаОтгрузки" я ввожу текст '28.12.2018'
		И я перехожу к следующему реквизиту
		И я перехожу к закладке "Товары"
		И я удаляю все строки таблицы "Товары"
		И Я добавляю в заказ клиента номенклатуру "Крылья куринные (подложка)" без характеристики в количестве "10,000"
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ на перемещение * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 11 из 13"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Сезонная номенклатура Крылья куринные (подложка) не отгружается 28 декабря 2018 г. Крылья куринные (подложка) недоступна для отгрузки 28 декабря 2018 г., будет доступна с 1 января 2019 г."
		И Я закрываю окно 'Заказ на перемещение * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы на перемещение'
	* Проверка на доступность для продажи - до
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                              |
			| 'Проверка на доступность для продажи - до' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Заказ на перемещение (создание)'
		И в поле с именем 'Дата' я ввожу текст '04.02.2020  0:00:00'
		И в поле 'Комментарий' я ввожу текст 'Проверка на доступность для продажи - после'
		И в поле 'Отгрузка' я ввожу текст '13.03.2020'
		И я перехожу к следующему реквизиту
		И я нажимаю на кнопку 'Провести'
		Тогда открылось окно 'Заказ на перемещение * от * [Проверки не успешны]'
		И я активизирую поле "Успешно 11 из 13"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Сезонная номенклатура Крылья куринные (подложка) не отгружается 13 марта 2020 г. Крылья куринные (подложка) недоступна для отгрузки 13 марта 2020 г., была выведена из продажи с 1 марта 2020 г."
		И Я закрываю окно 'Заказ на перемещение * от * [Проверки не успешны]'
		Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 004.10. CheckingTransferOrders. Проверка времени приема заказа (заказ на перемещение)

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ на перемещение (создание)'
	И в поле с именем 'Дата' я ввожу текст '10.02.2020  0:00:00'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка с именем "СкладОтправитель" я выбираю по строке 'Склад готовой продукции'
	И из выпадающего списка с именем "СкладПолучатель" я выбираю по строке 'Куриная ГП'
	И в поле 'Комментарий' я ввожу текст 'Проверка времени приема заказа'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '10.02.2020'
	И я перехожу к следующему реквизиту
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Костромской" с характеристикой "Ашан" в количестве "5,000"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "Ашан" в количестве "5,000"
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно 'Заказ на перемещение * от * [Проверки не успешны]'
	И я активизирую поле "Успешно 12 из 13"
	И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Дата заказа 10 февраля 2020 г. для Склад готовой продукции Твердые сыры должна быть не менее 2 дней до даты отгрузки 10 февраля 2020 г. 	Дата заказа 10 февраля 2020 г. для Склад готовой продукции Мягкие сыры должна быть не менее 3 дней до даты отгрузки 10 февраля 2020 г."
	И Я закрываю окно 'Заказ на перемещение * от * [Проверки не успешны]'
	Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 004.11. CheckingTransferOrders. Форма списка заказов на перемещение при использовании проверок

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	* Проверка всех состояний
		Тогда открылось окно 'Заказы на перемещение'
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                 | 'Состояние'           |
			| 'Проверка на график доставки' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 12 из 13"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Вторник не является днем доставки."
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     				  | 'Состояние'           |
			| 'Проверка на график доставки по товарной категории' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 12 из 13"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Понедельник не является днем доставки для Мясо птицы"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                    | 'Состояние'           |
			| 'Проверка на кратность отгрузки' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 12 из 13"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "В строке №1 Сыр Адыгейский Ашан заказано 11, не кратно 5,125"
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'            | 'Состояние'           |
			| 'Проверка на сезонность' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 12 из 13"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Сезонная номенклатура Крылья куринные (подложка) не отгружается 21 февраля 2020 г."
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     		 | 'Состояние'           |
			| 'Проверка на доступность для продажи - до' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 13"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Сезонная номенклатура Крылья куринные (подложка) не отгружается 28 декабря 2018 г. Крылья куринные (подложка) недоступна для отгрузки 28 декабря 2018 г., будет доступна с 1 января 2019 г."
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                     		    | 'Состояние'           |
			| 'Проверка на доступность для продажи - после' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 11 из 13"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Сезонная номенклатура Крылья куринные (подложка) не отгружается 13 марта 2020 г. Крылья куринные (подложка) недоступна для отгрузки 13 марта 2020 г., была выведена из продажи с 1 марта 2020 г."
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                    | 'Состояние'           |
			| 'Проверка времени приема заказа' | 'Проверки не успешны' |
		И я активизирую поле "Успешно 12 из 13"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Дата заказа 10 февраля 2020 г. для Склад готовой продукции Твердые сыры должна быть не менее 2 дней до даты отгрузки 10 февраля 2020 г. 	Дата заказа 10 февраля 2020 г. для Склад готовой продукции Мягкие сыры должна быть не менее 3 дней до даты отгрузки 10 февраля 2020 г."
	* Установка состояния принудительно
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                              | 'Состояние'           |
			| 'Проверка на доступность для продажи - до' | 'Проверки не успешны' |
		И я нажимаю на кнопку 'Установить состояние'
		Тогда открылось окно 'Состояния документов'
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'     |
			| 'Проверки успешны' |
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                              | 'Состояние'        |
			| 'Проверка на доступность для продажи - до' | 'Проверки успешны' |
	* Проверка работы кнопки Проверить документы
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                 | 'Состояние'           |
			| 'Проверка на график доставки' | 'Проверки не успешны' |
		И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
		Тогда открылось окно 'Настройки исполнения заказов'
		И я нажимаю на кнопку 'Кратность номенклатуры'
		Тогда открылось окно 'Кратность номенклатуры'
		И в таблице "Список" я перехожу к строке:
			| 'Кратность' | 'Номенклатура'   | 'Характеристика' |
			| '5,125'     | 'Сыр Адыгейский' | 'Ашан'           |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Кратность номенклатуры'
		И в поле 'Кратность' я ввожу текст '6,000'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Кратность номенклатуры *' в течение 20 секунд
		И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
		Тогда открылось окно 'Заказы на перемещение'
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                 |
			| 'Проверка на график доставки' |
		И я нажимаю на кнопку 'Проверить документы'
		И я активизирую поле "Успешно 11 из 13"
		И элемент формы с именем "_ДекорацияОшибокПроверок" стал равен "Вторник не является днем доставки. В строке №1 Сыр Адыгейский Ашан заказано 76,875, не кратно 6"
		И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
		Тогда открылось окно 'Настройки исполнения заказов'
		И я нажимаю на кнопку 'Кратность номенклатуры'
		Тогда открылось окно 'Кратность номенклатуры'
		И в таблице "Список" я перехожу к строке:
			| 'Кратность' | 'Номенклатура'   | 'Характеристика' |
			| '6,000'     | 'Сыр Адыгейский' | 'Ашан'           |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Кратность номенклатуры'
		И в поле 'Кратность' я ввожу текст '5,125'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Кратность номенклатуры *' в течение 20 секунд
		Тогда открылось окно 'Кратность номенклатуры'
		И Я закрываю окно 'Кратность номенклатуры'
		Тогда открылось окно 'Настройки исполнения заказов'
		И Я закрываю окно 'Настройки исполнения заказов'
		Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 004.12. CheckingTransferOrders. Завершение

	И я закрываю сеанс TESTCLIENT